<html>
<head>
<title>Ogre::RenderSystemCapabilitiesSerializer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html">RenderSystemCapabilitiesSerializer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderSystemCapabilitiesSerializer Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderSystemCapabilitiesSerializer" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Class for serializing <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> to / from a .rendercaps script.  
 <a href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::RenderSystemCapabilitiesSerializer:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1RenderSystemCapabilitiesSerializer__inherit__graph.gif" border="0" usemap="#Ogre_1_1RenderSystemCapabilitiesSerializer_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1RenderSystemCapabilitiesSerializer_inherit__map" id="Ogre_1_1RenderSystemCapabilitiesSerializer_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="81,5,196,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1RenderSystemCapabilitiesSerializer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ada97f5a805368b798a78e5d4c05f752c">RenderSystemCapabilitiesSerializer</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#ada97f5a805368b798a78e5d4c05f752c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a9788863dd6b6e5ab1062ec5c5eae582c">~RenderSystemCapabilitiesSerializer</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">default destructor  <a href="#a9788863dd6b6e5ab1062ec5c5eae582c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a1b826c9aa9ba42d260db3cf801390fd1">writeScript</a> (const <a class="el" href="classOgre_1_1RenderSystemCapabilities.html">RenderSystemCapabilities</a> *caps, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> name, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> filename)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes a <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> object to a data stream.  <a href="#a1b826c9aa9ba42d260db3cf801390fd1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a7b33f4fe6d892db7134a5cae2c02d715">writeString</a> (const <a class="el" href="classOgre_1_1RenderSystemCapabilities.html">RenderSystemCapabilities</a> *caps, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes a <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> object to a string.  <a href="#a7b33f4fe6d892db7134a5cae2c02d715"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a44bd515809b4ed26fa372b9c836a3137">parseScript</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> script file passed as a stream.  <a href="#a44bd515809b4ed26fa372b9c836a3137"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2">CapabilityKeywordType</a> { <br/>
&#160;&#160;<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2a9f60d9a011f3549653869444eb9540d9">UNDEFINED_CAPABILITY_TYPE</a> =  0, 
<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2a9b87901b7eb486a928b45cebd30727f4">SET_STRING_METHOD</a>, 
<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2ae734085097a0507b768a837cb51fa9a3">SET_INT_METHOD</a>, 
<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2a69bdca2462f7c3dd5ccddd3548801f28">SET_BOOL_METHOD</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2adadab380bd5f97dfab15c6091387a21d">SET_REAL_METHOD</a>, 
<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2a8ffadaeacdbb345c326e0c9048c99b71">SET_CAPABILITY_ENUM_BOOL</a>, 
<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2a27723a753b29319c8ab3de1d9e92cac7">ADD_SHADER_PROFILE_STRING</a>
<br/>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a7f46b04783e30b6b2f4e184cff42c51e">ParseAction</a> { <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a7f46b04783e30b6b2f4e184cff42c51ea23283afffb7891d501ff6e1032381909">PARSE_HEADER</a>, 
<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a7f46b04783e30b6b2f4e184cff42c51ea5e87c31300ca8097e01d30654a5acebd">FIND_OPEN_BRACE</a>, 
<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a7f46b04783e30b6b2f4e184cff42c51ea1f89839e9e1e4b521a95c74ef5cdc533">COLLECT_LINES</a>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2">CapabilityKeywordType</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a5e45bd28a99f3e2df888a8ffca2f07d6">KeywordTypeMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(RenderSystemCapabilities::*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a83e8fc4085802944a14a697c4648166c">SetStringMethod</a> )(const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a83e8fc4085802944a14a697c4648166c">SetStringMethod</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a231b42ac522f855b66336f6aa9531ec1">SetStringMethodDispatchTable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(RenderSystemCapabilities::*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a5abfef8da51901b880864318a364a0e2">SetIntMethod</a> )(<a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a5abfef8da51901b880864318a364a0e2">SetIntMethod</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a78cc33c7c0a5b9055a43cc60619c32c6">SetIntMethodDispatchTable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(RenderSystemCapabilities::*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#abaf393f4771e2ccea7bd384cc57bcbc1">SetBoolMethod</a> )(bool)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#abaf393f4771e2ccea7bd384cc57bcbc1">SetBoolMethod</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a50f7aad6c0a8fab915a7ea71db6f07fa">SetBoolMethodDispatchTable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(RenderSystemCapabilities::*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ab6da96bda957ce1c48bbd7d8f600af39">SetRealMethod</a> )(<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ab6da96bda957ce1c48bbd7d8f600af39">SetRealMethod</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#adee227ea058b37687e5a732e2e228842">SetRealMethodDispatchTable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="group__RenderSystem.html#ga3d2965b7f378ebdcfe8a4a6cf74c3de7">Capabilities</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a13744fda8b734ad0aadd5329bbf4ef29">CapabilitiesMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; std::pair<br class="typebreak"/>
&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, int &gt; &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a6573e3f6a365cb40d20965153d098df0">CapabilitiesLinesList</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a4e21eb61bea77d8506841724bca5e99b">addCapabilitiesMapping</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> name, <a class="el" href="group__RenderSystem.html#ga3d2965b7f378ebdcfe8a4a6cf74c3de7">Capabilities</a> cap)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ae4ceb9939016072086704db8b0cfa164">addKeywordType</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> keyword, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2">CapabilityKeywordType</a> type)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2">CapabilityKeywordType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#afa5a003f39ee273db81283afab20c2d1">getKeywordType</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;keyword) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#aea5fba8755a99959ba638111b799aeda">addSetStringMethod</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> keyword, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a83e8fc4085802944a14a697c4648166c">SetStringMethod</a> method)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#aa5eaa1485030541696b5705b8d6fb5cb">callSetStringMethod</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;keyword, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#aa13f3e5865c384dd17d29f912e5d45c4">addSetIntMethod</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> keyword, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a5abfef8da51901b880864318a364a0e2">SetIntMethod</a> method)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a3733282515d5e9a2d9c72ef618a1894b">callSetIntMethod</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;keyword, <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a86281fc98154f037c88796cc618fec74">addSetBoolMethod</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> keyword, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#abaf393f4771e2ccea7bd384cc57bcbc1">SetBoolMethod</a> method)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ae146f62425251de56c57b9d5d9e93afd">callSetBoolMethod</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;keyword, bool val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a1d4e29e084aafed0900b7c33df460158">addSetRealMethod</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> keyword, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ab6da96bda957ce1c48bbd7d8f600af39">SetRealMethod</a> method)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a11fd7fb5f88539cf23fcedb8c905e094">callSetRealMethod</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;keyword, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a587f8519a3187593d169407cc4ca80c4">addShaderProfile</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ab904911f7a8976cf3fb16338281e74af">setCapabilityEnumBool</a> (<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, bool val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a002c50a4afe92c204323730dd5bb964b">initialiaseDispatchTables</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a94542d8514509f5ad9592bee6f63418c">parseCapabilitiesLines</a> (<a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a6573e3f6a365cb40d20965153d098df0">CapabilitiesLinesList</a> &amp;linesList)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a1ec61874a6455c1f14a796f6601f48e5">logParseError</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;error) const </td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a5e45bd28a99f3e2df888a8ffca2f07d6">KeywordTypeMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ade82d1788c31d4b627255993cc0d21e3">mKeywordTypeMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a231b42ac522f855b66336f6aa9531ec1">SetStringMethodDispatchTable</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a196330e07020e83491d713ad3ae99994">mSetStringMethodDispatchTable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a78cc33c7c0a5b9055a43cc60619c32c6">SetIntMethodDispatchTable</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a03f00af0a19edfbc60402d7a8872227c">mSetIntMethodDispatchTable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a50f7aad6c0a8fab915a7ea71db6f07fa">SetBoolMethodDispatchTable</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a6a31f76b92b1d5a9ca1dda68384d3c5a">mSetBoolMethodDispatchTable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#adee227ea058b37687e5a732e2e228842">SetRealMethodDispatchTable</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#af1f4f629bb96773a1a88f217f01d5218">mSetRealMethodDispatchTable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a13744fda8b734ad0aadd5329bbf4ef29">CapabilitiesMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a86e25234daf7b0b6c3f87f22efc0e8fa">mCapabilitiesMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a541e70764d0a7977a2a5a5195f076e49">mCurrentLineNumber</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ad37415c9d25efbb9a63dce1200682599">mCurrentLine</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#af464c040fc5cafa79f83ab6c816d31be">mCurrentStream</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">RenderSystemCapabilities</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#addc70bc605d63fc7a99f75809a01a0b9">mCurrentCapabilities</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class for serializing <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> to / from a .rendercaps script. </p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00048">48</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a6573e3f6a365cb40d20965153d098df0"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::CapabilitiesLinesList" ref="a6573e3f6a365cb40d20965153d098df0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;std::pair&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, int&gt; &gt;::type <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a6573e3f6a365cb40d20965153d098df0">Ogre::RenderSystemCapabilitiesSerializer::CapabilitiesLinesList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00110">110</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a13744fda8b734ad0aadd5329bbf4ef29"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::CapabilitiesMap" ref="a13744fda8b734ad0aadd5329bbf4ef29" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="group__RenderSystem.html#ga3d2965b7f378ebdcfe8a4a6cf74c3de7">Capabilities</a>&gt;::type <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a13744fda8b734ad0aadd5329bbf4ef29">Ogre::RenderSystemCapabilitiesSerializer::CapabilitiesMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00100">100</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5e45bd28a99f3e2df888a8ffca2f07d6"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::KeywordTypeMap" ref="a5e45bd28a99f3e2df888a8ffca2f07d6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2">CapabilityKeywordType</a>&gt;::type <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a5e45bd28a99f3e2df888a8ffca2f07d6">Ogre::RenderSystemCapabilitiesSerializer::KeywordTypeMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00077">77</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="abaf393f4771e2ccea7bd384cc57bcbc1"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::SetBoolMethod" ref="abaf393f4771e2ccea7bd384cc57bcbc1" args=")(bool)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(RenderSystemCapabilities::* <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#abaf393f4771e2ccea7bd384cc57bcbc1">Ogre::RenderSystemCapabilitiesSerializer::SetBoolMethod</a>)(bool)<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00091">91</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a50f7aad6c0a8fab915a7ea71db6f07fa"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::SetBoolMethodDispatchTable" ref="a50f7aad6c0a8fab915a7ea71db6f07fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#abaf393f4771e2ccea7bd384cc57bcbc1">SetBoolMethod</a>&gt;::type <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a50f7aad6c0a8fab915a7ea71db6f07fa">Ogre::RenderSystemCapabilitiesSerializer::SetBoolMethodDispatchTable</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00092">92</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5abfef8da51901b880864318a364a0e2"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::SetIntMethod" ref="a5abfef8da51901b880864318a364a0e2" args=")(ushort)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(RenderSystemCapabilities::* <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a5abfef8da51901b880864318a364a0e2">Ogre::RenderSystemCapabilitiesSerializer::SetIntMethod</a>)(<a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>)<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00086">86</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a78cc33c7c0a5b9055a43cc60619c32c6"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::SetIntMethodDispatchTable" ref="a78cc33c7c0a5b9055a43cc60619c32c6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a5abfef8da51901b880864318a364a0e2">SetIntMethod</a>&gt;::type <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a78cc33c7c0a5b9055a43cc60619c32c6">Ogre::RenderSystemCapabilitiesSerializer::SetIntMethodDispatchTable</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00087">87</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab6da96bda957ce1c48bbd7d8f600af39"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::SetRealMethod" ref="ab6da96bda957ce1c48bbd7d8f600af39" args=")(Real)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(RenderSystemCapabilities::* <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ab6da96bda957ce1c48bbd7d8f600af39">Ogre::RenderSystemCapabilitiesSerializer::SetRealMethod</a>)(<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>)<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00096">96</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="adee227ea058b37687e5a732e2e228842"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::SetRealMethodDispatchTable" ref="adee227ea058b37687e5a732e2e228842" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ab6da96bda957ce1c48bbd7d8f600af39">SetRealMethod</a>&gt;::type <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#adee227ea058b37687e5a732e2e228842">Ogre::RenderSystemCapabilitiesSerializer::SetRealMethodDispatchTable</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00097">97</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a83e8fc4085802944a14a697c4648166c"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::SetStringMethod" ref="a83e8fc4085802944a14a697c4648166c" args=")(const String &amp;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(RenderSystemCapabilities::* <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a83e8fc4085802944a14a697c4648166c">Ogre::RenderSystemCapabilitiesSerializer::SetStringMethod</a>)(const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;)<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00080">80</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a231b42ac522f855b66336f6aa9531ec1"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::SetStringMethodDispatchTable" ref="a231b42ac522f855b66336f6aa9531ec1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a83e8fc4085802944a14a697c4648166c">SetStringMethod</a>&gt;::type <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a231b42ac522f855b66336f6aa9531ec1">Ogre::RenderSystemCapabilitiesSerializer::SetStringMethodDispatchTable</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00082">82</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a8a2511af5b46c7d5421b8695c0aa17f2"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::CapabilityKeywordType" ref="a8a2511af5b46c7d5421b8695c0aa17f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2">Ogre::RenderSystemCapabilitiesSerializer::CapabilityKeywordType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a8a2511af5b46c7d5421b8695c0aa17f2a9f60d9a011f3549653869444eb9540d9"></a><!-- doxytag: member="UNDEFINED_CAPABILITY_TYPE" ref="a8a2511af5b46c7d5421b8695c0aa17f2a9f60d9a011f3549653869444eb9540d9" args="" -->UNDEFINED_CAPABILITY_TYPE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a8a2511af5b46c7d5421b8695c0aa17f2a9b87901b7eb486a928b45cebd30727f4"></a><!-- doxytag: member="SET_STRING_METHOD" ref="a8a2511af5b46c7d5421b8695c0aa17f2a9b87901b7eb486a928b45cebd30727f4" args="" -->SET_STRING_METHOD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a8a2511af5b46c7d5421b8695c0aa17f2ae734085097a0507b768a837cb51fa9a3"></a><!-- doxytag: member="SET_INT_METHOD" ref="a8a2511af5b46c7d5421b8695c0aa17f2ae734085097a0507b768a837cb51fa9a3" args="" -->SET_INT_METHOD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a8a2511af5b46c7d5421b8695c0aa17f2a69bdca2462f7c3dd5ccddd3548801f28"></a><!-- doxytag: member="SET_BOOL_METHOD" ref="a8a2511af5b46c7d5421b8695c0aa17f2a69bdca2462f7c3dd5ccddd3548801f28" args="" -->SET_BOOL_METHOD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a8a2511af5b46c7d5421b8695c0aa17f2adadab380bd5f97dfab15c6091387a21d"></a><!-- doxytag: member="SET_REAL_METHOD" ref="a8a2511af5b46c7d5421b8695c0aa17f2adadab380bd5f97dfab15c6091387a21d" args="" -->SET_REAL_METHOD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a8a2511af5b46c7d5421b8695c0aa17f2a8ffadaeacdbb345c326e0c9048c99b71"></a><!-- doxytag: member="SET_CAPABILITY_ENUM_BOOL" ref="a8a2511af5b46c7d5421b8695c0aa17f2a8ffadaeacdbb345c326e0c9048c99b71" args="" -->SET_CAPABILITY_ENUM_BOOL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a8a2511af5b46c7d5421b8695c0aa17f2a27723a753b29319c8ab3de1d9e92cac7"></a><!-- doxytag: member="ADD_SHADER_PROFILE_STRING" ref="a8a2511af5b46c7d5421b8695c0aa17f2a27723a753b29319c8ab3de1d9e92cac7" args="" -->ADD_SHADER_PROFILE_STRING</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00071">71</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7f46b04783e30b6b2f4e184cff42c51e"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::ParseAction" ref="a7f46b04783e30b6b2f4e184cff42c51e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a7f46b04783e30b6b2f4e184cff42c51e">Ogre::RenderSystemCapabilitiesSerializer::ParseAction</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a7f46b04783e30b6b2f4e184cff42c51ea23283afffb7891d501ff6e1032381909"></a><!-- doxytag: member="PARSE_HEADER" ref="a7f46b04783e30b6b2f4e184cff42c51ea23283afffb7891d501ff6e1032381909" args="" -->PARSE_HEADER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a7f46b04783e30b6b2f4e184cff42c51ea5e87c31300ca8097e01d30654a5acebd"></a><!-- doxytag: member="FIND_OPEN_BRACE" ref="a7f46b04783e30b6b2f4e184cff42c51ea5e87c31300ca8097e01d30654a5acebd" args="" -->FIND_OPEN_BRACE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a7f46b04783e30b6b2f4e184cff42c51ea1f89839e9e1e4b521a95c74ef5cdc533"></a><!-- doxytag: member="COLLECT_LINES" ref="a7f46b04783e30b6b2f4e184cff42c51ea1f89839e9e1e4b521a95c74ef5cdc533" args="" -->COLLECT_LINES</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00112">112</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ada97f5a805368b798a78e5d4c05f752c"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::RenderSystemCapabilitiesSerializer" ref="ada97f5a805368b798a78e5d4c05f752c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ada97f5a805368b798a78e5d4c05f752c">Ogre::RenderSystemCapabilitiesSerializer::RenderSystemCapabilitiesSerializer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>default constructor </p>

</div>
</div>
<a class="anchor" id="a9788863dd6b6e5ab1062ec5c5eae582c"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::~RenderSystemCapabilitiesSerializer" ref="a9788863dd6b6e5ab1062ec5c5eae582c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a9788863dd6b6e5ab1062ec5c5eae582c">Ogre::RenderSystemCapabilitiesSerializer::~RenderSystemCapabilitiesSerializer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>default destructor </p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00055">55</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a4e21eb61bea77d8506841724bca5e99b"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::addCapabilitiesMapping" ref="a4e21eb61bea77d8506841724bca5e99b" args="(String name, Capabilities cap)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a4e21eb61bea77d8506841724bca5e99b">Ogre::RenderSystemCapabilitiesSerializer::addCapabilitiesMapping</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__RenderSystem.html#ga3d2965b7f378ebdcfe8a4a6cf74c3de7">Capabilities</a>&#160;</td>
          <td class="paramname"><em>cap</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00103">103</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae4ceb9939016072086704db8b0cfa164"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::addKeywordType" ref="ae4ceb9939016072086704db8b0cfa164" args="(String keyword, CapabilityKeywordType type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ae4ceb9939016072086704db8b0cfa164">Ogre::RenderSystemCapabilitiesSerializer::addKeywordType</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>keyword</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2">CapabilityKeywordType</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00120">120</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a86281fc98154f037c88796cc618fec74"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::addSetBoolMethod" ref="a86281fc98154f037c88796cc618fec74" args="(String keyword, SetBoolMethod method)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a86281fc98154f037c88796cc618fec74">Ogre::RenderSystemCapabilitiesSerializer::addSetBoolMethod</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>keyword</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#abaf393f4771e2ccea7bd384cc57bcbc1">SetBoolMethod</a>&#160;</td>
          <td class="paramname"><em>method</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00177">177</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa13f3e5865c384dd17d29f912e5d45c4"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::addSetIntMethod" ref="aa13f3e5865c384dd17d29f912e5d45c4" args="(String keyword, SetIntMethod method)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#aa13f3e5865c384dd17d29f912e5d45c4">Ogre::RenderSystemCapabilitiesSerializer::addSetIntMethod</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>keyword</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a5abfef8da51901b880864318a364a0e2">SetIntMethod</a>&#160;</td>
          <td class="paramname"><em>method</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00157">157</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1d4e29e084aafed0900b7c33df460158"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::addSetRealMethod" ref="a1d4e29e084aafed0900b7c33df460158" args="(String keyword, SetRealMethod method)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a1d4e29e084aafed0900b7c33df460158">Ogre::RenderSystemCapabilitiesSerializer::addSetRealMethod</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>keyword</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ab6da96bda957ce1c48bbd7d8f600af39">SetRealMethod</a>&#160;</td>
          <td class="paramname"><em>method</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00197">197</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aea5fba8755a99959ba638111b799aeda"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::addSetStringMethod" ref="aea5fba8755a99959ba638111b799aeda" args="(String keyword, SetStringMethod method)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#aea5fba8755a99959ba638111b799aeda">Ogre::RenderSystemCapabilitiesSerializer::addSetStringMethod</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>keyword</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a83e8fc4085802944a14a697c4648166c">SetStringMethod</a>&#160;</td>
          <td class="paramname"><em>method</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00137">137</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a587f8519a3187593d169407cc4ca80c4"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::addShaderProfile" ref="a587f8519a3187593d169407cc4ca80c4" args="(String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a587f8519a3187593d169407cc4ca80c4">Ogre::RenderSystemCapabilitiesSerializer::addShaderProfile</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00216">216</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae146f62425251de56c57b9d5d9e93afd"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::callSetBoolMethod" ref="ae146f62425251de56c57b9d5d9e93afd" args="(String &amp;keyword, bool val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ae146f62425251de56c57b9d5d9e93afd">Ogre::RenderSystemCapabilitiesSerializer::callSetBoolMethod</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>keyword</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00182">182</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3733282515d5e9a2d9c72ef618a1894b"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::callSetIntMethod" ref="a3733282515d5e9a2d9c72ef618a1894b" args="(String &amp;keyword, ushort val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a3733282515d5e9a2d9c72ef618a1894b">Ogre::RenderSystemCapabilitiesSerializer::callSetIntMethod</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>keyword</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00162">162</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a11fd7fb5f88539cf23fcedb8c905e094"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::callSetRealMethod" ref="a11fd7fb5f88539cf23fcedb8c905e094" args="(String &amp;keyword, Real val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a11fd7fb5f88539cf23fcedb8c905e094">Ogre::RenderSystemCapabilitiesSerializer::callSetRealMethod</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>keyword</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00202">202</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa5eaa1485030541696b5705b8d6fb5cb"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::callSetStringMethod" ref="aa5eaa1485030541696b5705b8d6fb5cb" args="(String &amp;keyword, String &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#aa5eaa1485030541696b5705b8d6fb5cb">Ogre::RenderSystemCapabilitiesSerializer::callSetStringMethod</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>keyword</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00142">142</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa5a003f39ee273db81283afab20c2d1"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::getKeywordType" ref="afa5a003f39ee273db81283afab20c2d1" args="(const String &amp;keyword) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a8a2511af5b46c7d5421b8695c0aa17f2">CapabilityKeywordType</a> <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#afa5a003f39ee273db81283afab20c2d1">Ogre::RenderSystemCapabilitiesSerializer::getKeywordType</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>keyword</em></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00125">125</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a002c50a4afe92c204323730dd5bb964b"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::initialiaseDispatchTables" ref="a002c50a4afe92c204323730dd5bb964b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a002c50a4afe92c204323730dd5bb964b">Ogre::RenderSystemCapabilitiesSerializer::initialiaseDispatchTables</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a1ec61874a6455c1f14a796f6601f48e5"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::logParseError" ref="a1ec61874a6455c1f14a796f6601f48e5" args="(const String &amp;error) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a1ec61874a6455c1f14a796f6601f48e5">Ogre::RenderSystemCapabilitiesSerializer::logParseError</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a94542d8514509f5ad9592bee6f63418c"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::parseCapabilitiesLines" ref="a94542d8514509f5ad9592bee6f63418c" args="(CapabilitiesLinesList &amp;linesList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a94542d8514509f5ad9592bee6f63418c">Ogre::RenderSystemCapabilitiesSerializer::parseCapabilitiesLines</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a6573e3f6a365cb40d20965153d098df0">CapabilitiesLinesList</a> &amp;&#160;</td>
          <td class="paramname"><em>linesList</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a44bd515809b4ed26fa372b9c836a3137"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::parseScript" ref="a44bd515809b4ed26fa372b9c836a3137" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a44bd515809b4ed26fa372b9c836a3137">Ogre::RenderSystemCapabilitiesSerializer::parseScript</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parses a <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> script file passed as a stream. </p>
<p>Adds it to <a class="el" href="classOgre_1_1RenderSystemCapabilitiesManager.html#a632d17c267b03d06db99019372d514e6" title="Method used by RenderSystemCapabilitiesSerializer::parseScript.">RenderSystemCapabilitiesManager::_addRenderSystemCapabilities</a> </p>

</div>
</div>
<a class="anchor" id="ab904911f7a8976cf3fb16338281e74af"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::setCapabilityEnumBool" ref="ab904911f7a8976cf3fb16338281e74af" args="(String &amp;name, bool val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ab904911f7a8976cf3fb16338281e74af">Ogre::RenderSystemCapabilitiesSerializer::setCapabilityEnumBool</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00221">221</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1b826c9aa9ba42d260db3cf801390fd1"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::writeScript" ref="a1b826c9aa9ba42d260db3cf801390fd1" args="(const RenderSystemCapabilities *caps, String name, String filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a1b826c9aa9ba42d260db3cf801390fd1">Ogre::RenderSystemCapabilitiesSerializer::writeScript</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1RenderSystemCapabilities.html">RenderSystemCapabilities</a> *&#160;</td>
          <td class="paramname"><em>caps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Writes a <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> object to a data stream. </p>

</div>
</div>
<a class="anchor" id="a7b33f4fe6d892db7134a5cae2c02d715"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::writeString" ref="a7b33f4fe6d892db7134a5cae2c02d715" args="(const RenderSystemCapabilities *caps, String name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a7b33f4fe6d892db7134a5cae2c02d715">Ogre::RenderSystemCapabilitiesSerializer::writeString</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1RenderSystemCapabilities.html">RenderSystemCapabilities</a> *&#160;</td>
          <td class="paramname"><em>caps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Writes a <a class="el" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> object to a string. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a86e25234daf7b0b6c3f87f22efc0e8fa"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::mCapabilitiesMap" ref="a86e25234daf7b0b6c3f87f22efc0e8fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a13744fda8b734ad0aadd5329bbf4ef29">CapabilitiesMap</a> <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a86e25234daf7b0b6c3f87f22efc0e8fa">Ogre::RenderSystemCapabilitiesSerializer::mCapabilitiesMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00101">101</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="addc70bc605d63fc7a99f75809a01a0b9"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::mCurrentCapabilities" ref="addc70bc605d63fc7a99f75809a01a0b9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">RenderSystemCapabilities</a>* <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#addc70bc605d63fc7a99f75809a01a0b9">Ogre::RenderSystemCapabilitiesSerializer::mCurrentCapabilities</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00118">118</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad37415c9d25efbb9a63dce1200682599"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::mCurrentLine" ref="ad37415c9d25efbb9a63dce1200682599" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>* <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ad37415c9d25efbb9a63dce1200682599">Ogre::RenderSystemCapabilitiesSerializer::mCurrentLine</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00115">115</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a541e70764d0a7977a2a5a5195f076e49"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::mCurrentLineNumber" ref="a541e70764d0a7977a2a5a5195f076e49" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a541e70764d0a7977a2a5a5195f076e49">Ogre::RenderSystemCapabilitiesSerializer::mCurrentLineNumber</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00114">114</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="af464c040fc5cafa79f83ab6c816d31be"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::mCurrentStream" ref="af464c040fc5cafa79f83ab6c816d31be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#af464c040fc5cafa79f83ab6c816d31be">Ogre::RenderSystemCapabilitiesSerializer::mCurrentStream</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00116">116</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ade82d1788c31d4b627255993cc0d21e3"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::mKeywordTypeMap" ref="ade82d1788c31d4b627255993cc0d21e3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a5e45bd28a99f3e2df888a8ffca2f07d6">KeywordTypeMap</a> <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#ade82d1788c31d4b627255993cc0d21e3">Ogre::RenderSystemCapabilitiesSerializer::mKeywordTypeMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00078">78</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6a31f76b92b1d5a9ca1dda68384d3c5a"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::mSetBoolMethodDispatchTable" ref="a6a31f76b92b1d5a9ca1dda68384d3c5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a50f7aad6c0a8fab915a7ea71db6f07fa">SetBoolMethodDispatchTable</a> <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a6a31f76b92b1d5a9ca1dda68384d3c5a">Ogre::RenderSystemCapabilitiesSerializer::mSetBoolMethodDispatchTable</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00093">93</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a03f00af0a19edfbc60402d7a8872227c"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::mSetIntMethodDispatchTable" ref="a03f00af0a19edfbc60402d7a8872227c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a78cc33c7c0a5b9055a43cc60619c32c6">SetIntMethodDispatchTable</a> <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a03f00af0a19edfbc60402d7a8872227c">Ogre::RenderSystemCapabilitiesSerializer::mSetIntMethodDispatchTable</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00088">88</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="af1f4f629bb96773a1a88f217f01d5218"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::mSetRealMethodDispatchTable" ref="af1f4f629bb96773a1a88f217f01d5218" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#adee227ea058b37687e5a732e2e228842">SetRealMethodDispatchTable</a> <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#af1f4f629bb96773a1a88f217f01d5218">Ogre::RenderSystemCapabilitiesSerializer::mSetRealMethodDispatchTable</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00098">98</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a196330e07020e83491d713ad3ae99994"></a><!-- doxytag: member="Ogre::RenderSystemCapabilitiesSerializer::mSetStringMethodDispatchTable" ref="a196330e07020e83491d713ad3ae99994" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a231b42ac522f855b66336f6aa9531ec1">SetStringMethodDispatchTable</a> <a class="el" href="classOgre_1_1RenderSystemCapabilitiesSerializer.html#a196330e07020e83491d713ad3ae99994">Ogre::RenderSystemCapabilitiesSerializer::mSetStringMethodDispatchTable</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html#l00083">83</a> of file <a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderSystemCapabilitiesSerializer_8h_source.html">OgreRenderSystemCapabilitiesSerializer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
